Changeset 4454 for trunk/install.php


Ignore:
Timestamp:
12/09/09 20:20:34 (10 years ago)
Author:
nikrou
Message:

Bug 1314 : warning because of undefined variables in installation

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/install.php

    r4423 r4454  
    198198define('PHPWG_URL', 'http://'.PHPWG_DOMAIN); 
    199199 
    200 if ($step != 3) 
     200if (empty($step) || ($step != 3)) 
    201201{ 
    202202  load_language('common.lang', '', array('language' => $language, 'target_charset'=>'utf-8')); 
     
    228228    array_push( $infos, l10n('step1_confirmation') ); 
    229229 
    230     $required_version = constant('REQUIRED_'.strtoupper($conf['dblayer']).'_VERSION'); 
     230    $required_version = constant('REQUIRED_'.strtoupper($dblayer).'_VERSION'); 
    231231    if ( version_compare(pwg_get_db_version(), $required_version, '>=') ) 
    232232    { 
Note: See TracChangeset for help on using the changeset viewer.